%global momorel 2
%global __libtoolize :
Summary: Network traffic analyzer
Name: ethereal
Version: 0.10.5
Release: %{momorel}m
License: GPL
Group: Applications/System
%NoSource 0 http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2 26d5672935ac8bd0793fcd2ad0b4833f
Source1: ftp://ftp.ethereal.com/pub/%{name}/%{name}.png
Source2: ftp://ftp.ethereal.com/pub/%{name}/%{name}-trans.png
Source3: %{name}.desktop
Patch0: ethereal-0.10.0a-plugins-asn1-packet-asn1.c.patch
URL: http://www.ethereal.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: net-snmp-devel >= 5.0.8-2m
BuildPreReq: gtk+-devel, libpcap, flex, openssl-devel
BuildPreReq: automake >= 1.5-15m
BuildPreReq: elfutils-libelf
BuildPreReq: elfutils-devel
BuildPreReq: atk-devel >= 1.4.1-3m
BuildRequires: momonga-rpmmacros >= 20040310-6m
Requires: libpcap

%description
Ethereal is a network traffic analyzer for Unix-ish operating systems.

%prep
%setup -q
%patch0 -p1

%build
%if %{_ipv6}
%configure --sysconfdir=/etc/ethereal --enable-gtk2 --enable-ipv6
%else
%configure --sysconfdir=/etc/ethereal --enable-gtk2 --disable-ipv6
%endif
find -name "Makefile" | xargs perl -p -i -e \
     's,-I/usr/include ,,;s,-I/usr/local/include ,,'
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall install prefix=%{buildroot}/usr sysconfdir=%{buildroot}/etc/ethereal plugindir=%{buildroot}/usr/lib/ethereal/plugins/%{version} transform='s,x,x,'
%__install -m 0755 -d %{buildroot}/usr/share/pixmaps
%__install -m 0755 -d %{buildroot}/etc/X11/applnk/System
%__install -m 0644 %{SOURCE1} %{SOURCE2} %{buildroot}/usr/share/pixmaps
%__install -m 0644 %{SOURCE3} %{buildroot}/etc/X11/applnk/System
%__chmod -x doc/*.pl

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog FAQ NEWS README* TODO doc
%{_sysconfdir}/X11/applnk/System/ethereal.desktop
%{_bindir}/*
%{_libdir}/ethereal
%{_libdir}/libwiretap.la
%{_libdir}/libethereal.la
%{_libdir}/*.so*
%{_mandir}/man?/*
%{_datadir}/ethereal
%{_datadir}/pixmaps/*

%changelog
* Fri Jul  9 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.5-2m)
- add BuildRequires: momonga-rpmmacros >= 20040310-6m

* Thu Jul  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.5-1m)
- minor security fixes

* Fri May 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.4-1m)
- fixes security-related bugs in the AIM, MMSE, SIP, and SPNEGO
  dissectors

* Sat Mar 27 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.10.3-1m)
- security fix http://www.ethereal.com/appnotes/enpa-sa-00013.html
- revise specfile

* Wed Feb 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.2-1m)
- minor feature enhancements

* Tue Dec 16 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.10.0-1m)
- update to 0.10.0a
  Security problems in Ethereal 0.9.16
  http://www.ethereal.com/appnotes/enpa-sa-00012.html

* Thu Nov 06 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.16-2m)
- use --disable-static instead of delete --enable-static at %%configure
- we can exec ethereal, but ethereal said:
  The plugin asn1.so, version 0.5.0 is an old-style plugin;
  Those are no longer supported.
  sigh!!

* Wed Nov 05 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.16-1m)
- update to 0.9.16
- security fix http://www.ethereal.com/appnotes/enpa-sa-00011.html
- add kludge Patch0: plugins-asn1-packet-asn1.c.patch
- use %%global
- add BuildPreReq: elfutils-libelf and elfutils-devel
  for link libelf.so.*
- add BuildPreReq: atk-devel >= 1.4.1-3m
  for link libatk-1.0.so.*
-
- !!! CAUTION !!!
- this release was broken, please do not use
- compile message:
- epan/libethereal.a(filesystem.o)(.text+0x1e6): In function
- get_persconffile_dir':
- : warning: Using 'getpwuid' in statically linked applications requires at
- runtime the shared libraries from the glibc version used for linking
-
- message when exec ethereal
- $ sudo ethereal &
- sudo: unable to exec /usr/bin/ethereal: No such file or directory

* Tue Jul 29 2003 Hiroyuki KOGA <kuma@momonga-linux.org>
- (0.9.14-1m)
- update to 0.9.14

* Sun Jul 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.13-2m)
- rebuild against glibc-2.3.2

* Thu Jun 12 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.13-1m)
  update to 0.9.13

* Fri May  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.12-1m)
- minor security fixes

* Sat Mar 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.11-1m)
- update to 0.9.11

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.10-3m)
- rebuild against for XFree86-4.3.0

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.10-2m)
- rebuild against openssl 0.9.7a

* Sun Mar  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.10-1m)
- minor security fixes
- use gtk2

* Fri Feb 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.9-1m)
- version 0.9.9

* Sun Dec  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.8-1m)
- update to 0.9.8 which includes security fix
- add more documents

* Sun Nov 24 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.7-3m)
- use automake-1.7

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.7-2m)
- rebuild against gcc-3.2 with autoconf-2.53

* Sun Oct  6 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.7-1m)
- upgrade to 0.9.7

* Thu Aug 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.6-2m)
- rebuild against net-snmp-5.0.3-3m

* Wed Aug 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.6-1m)
- minor security fixes

* Sat Aug 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.5-2m)
- rebuild against net-snmp

* Tue Jul  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.5-1m)
- update to 0.9.5

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.9.4-6k)
- cancel gcc-3.1 autoconf-2.53

* Fri May 24 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.9.4-4k)
  for gcc 3.1

* Mon May 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.4-2k)
- enable snmp (I don't know why snmp had been disabled...)

* Sun Mar 31 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.3-2k)

* Sat Mar 16 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.2-2k)

* Wed Feb 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.9.1-2k)
- update to 0.9.1

* Wed Jan  2 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.0-2k)
- version 0.9.0

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (0.8.20-4k)
- No docs could be excutable :-p

* Tue Oct 16 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.8.20-2k)

* Thu Mar 22 2001 Motonobu Ichimura <famao@kondara.org>
- (0.8.14-7k)
- rebuild against glibc-2.2.2

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.8.14-5k)
- changable IPv6 function with %{_ipv6} macro

* Wed Dec 13 2000 AYUHANA Tomonori <l@kondara.org>
- (0.8.14-2k)
- backport 0.8.14-3k for 2.0

* Thu Dec  7 2000 AYUHANA Tomonori <l@kondara.org>
- (0.8.14-3k)
- version 0.8.14
- add BuildRequires: flex, glib1-devel

* Wed Oct 11 2000 Motonobu Ichimura <famao@kondara.org>
- Version up tarball. (0.8.7 -> 0.8.12)

* Tue Apr 25 2000 Chiaki Nakata <hanibi@kondara.org>
- Version up tarball. (0.8.3 -> 0.8.7)

* Sun Feb 13 2000 Toru Hoshina <t@kondara.org>
- Version up tarball. (0.8.0 -> 0.8.3)

* Sat Jan  8 2000 Kazuaki Yoshida <kazuaki@nifty.co.jp>
- Version up tarball. (0.7.9 -> 0.8.0)

* Mon Dec  6 1999 Kazuaki Yoshida <kazuaki@nifty.co.jp>
- Version up tarball. (0.7.1 -> 0.7.9)
- Add "ethereal.png", "ethereal.desktop".
- change "Group".
- change to nosrc.rpm.
- Adjust to the reglation of "Kondara MNU/Linux".

* Sat Aug  7 1999 Yoshida <kazuaki@nifty.co.jp>
- 1st Release for Kondara MNU/Linux Users (glibc2.1).


